{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "farmmaps-lib-app": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {},
      "architect": {
        "build": {
          "builder": "@angular-builders/custom-webpack:browser",
          "options": {
            "customWebpackConfig": {
              "path": "./custom-webpack.config.js"
            },
            "aot": true,
            "outputPath": "dist/farmmaps-lib-app",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.app.json",
            "assets": [
              {
                "glob": "**/*",
                "input": "src/assets/images",
                "output": "/images"
              },
              {
                "glob": "silent-refresh.html",
                "input": "src/assets",
                "output": "/"
              },
              {
                "glob": "favicon.ico",
                "input": "src/assets",
                "output": "/"
              },
              {
                "glob": "**/*",
                "input": "node_modules/cesium/Build/Cesium",
                "output": "/assets/cesium"
              },
              "src/configuration.json"
            ],
            "styles": [
              "src/styles.css",
              "node_modules/bootstrap/dist/css/bootstrap.min.css",
              "fontawesome-6.2.1/css/all.min.css",
              "fonts/FMIconFont/style.css",
              "node_modules/cesium/Build/Cesium/Widgets/widgets.css",
              "node_modules/ol/ol.css"
            ],
            "scripts": []
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "7mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            },
            "development": {
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "optimization": false,
              "sourceMap": true,
              "namedChunks": true,
              "extractLicenses": false,
              "vendorChunk": false,
              "buildOptimizer": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "7mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-builders/custom-webpack:dev-server",
          "options": {
            "browserTarget": "farmmaps-lib-app:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "farmmaps-lib-app:build:production"
            },
            "development": {
              "browserTarget": "farmmaps-lib-app:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "farmmaps-lib-app:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "karmaConfig": "src/karma.conf.js",
            "styles": [
              "src/styles.css"
            ],
            "scripts": [],
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ]
          }
        }
      }
    },
    "farmmaps-lib-app-e2e": {
      "root": "e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "farmmaps-lib-app:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "farmmaps-lib-app:serve:production"
            }
          }
        }
      }
    },
    "common": {
      "root": "projects/common",
      "sourceRoot": "projects/common/src",
      "projectType": "library",
      "prefix": "fm",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/common/tsconfig.lib.json",
            "project": "projects/common/ng-package.json"           
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "projects/common/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/common/src/test.ts",
            "tsConfig": "projects/common/tsconfig.spec.json",
            "karmaConfig": "projects/common/karma.conf.js"
          }
        }
      }
    },
    "common-map": {
      "root": "projects/common-map",
      "sourceRoot": "projects/common-map/src",
      "projectType": "library",
      "prefix": "fm-map",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/common-map/tsconfig.lib.json",
            "project": "projects/common-map/ng-package.json"
          }
        ,          "configurations": {
            "production": {
              "tsConfig": "projects/common-map/tsconfig.lib.prod.json"
            }
          }
},
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/common-map/src/test.ts",
            "tsConfig": "projects/common-map/tsconfig.spec.json",
            "karmaConfig": "projects/common-map/karma.conf.js"
          }
        }
      }
    },
    "common-map3d": {
      "projectType": "library",
      "root": "projects/common-map3d",
      "sourceRoot": "projects/common-map3d/src",
      "prefix": "fm-map3d",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr:build",
          "options": {
            "tsConfig": "projects/common-map3d/tsconfig.lib.json",
            "project": "projects/common-map3d/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/common-map3d/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/common-map3d/src/test.ts",
            "tsConfig": "projects/common-map3d/tsconfig.spec.json",
            "karmaConfig": "projects/common-map3d/karma.conf.js"
          }
        }
      }
    }
  },
  "cli": {
    "analytics": false
  }
}